package textfieldnowwidgetwrapper;

/*
 * Export as C:\Daten\b4\b4j\libraries\jTextfieldNowWidget.jar
 */

import textfieldnowwidget.fxml.TextfieldNowWidget;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BA.Hide;
import anywheresoftware.b4a.BA.ShortName;
import anywheresoftware.b4j.objects.NodeWrapper;

@BA.DesignerName("Build 20150421")                                    
@BA.Version(0.20F)                                
@BA.Author("Robert Linn")      
@ShortName("TextfieldNowWidget")
public class TextfieldNowWidgetWrapper extends NodeWrapper<TextfieldNowWidget> {

	@Override
	@Hide
	public void innerInitialize(final BA ba, final String eventName, boolean keepOldObject){
		if (!keepOldObject)
			setObject(new TextfieldNowWidget());
		super.innerInitialize(ba, eventName, true);
	}

	/**
	 * Gets the content of the input field.
	 */
	public String getText() {
		return getObject().getText();
	}
	
}
